/* Generated by Frama-C */
#include "stddef.h"
#include "stdint.h"
#include "stdio.h"
extern  __attribute__((__FC_BUILTIN__)) int __e_acsl_sound_verdict;

int main(void)
{
  int __retres;
  __e_acsl_memory_init((int *)0,(char ***)0,(size_t)8);
  int x = 0;
  {
    int i = 0;
    while (i < 10) {
      {
        int __gen_e_acsl_and;
        __e_acsl_assert_data_t __gen_e_acsl_assert_data =
          {.values = (void *)0};
        __e_acsl_assert_register_int(& __gen_e_acsl_assert_data,"i",0,i);
        if (0 <= i) {
          __e_acsl_assert_register_int(& __gen_e_acsl_assert_data,"i",0,i);
          __gen_e_acsl_and = i < 10;
        }
        else __gen_e_acsl_and = 0;
        __gen_e_acsl_assert_data.blocking = 1;
        __gen_e_acsl_assert_data.kind = "Invariant";
        __gen_e_acsl_assert_data.pred_txt = "0 <= i < 10";
        __gen_e_acsl_assert_data.file = "tests/constructs/invariant.i";
        __gen_e_acsl_assert_data.fct = "main";
        __gen_e_acsl_assert_data.line = 9;
        __e_acsl_assert(__gen_e_acsl_and,& __gen_e_acsl_assert_data);
        __e_acsl_assert_clean(& __gen_e_acsl_assert_data);
      }
      /*@ invariant 0 <= i < 10; */ ;
      x += i;
      {
        __e_acsl_assert_data_t __gen_e_acsl_assert_data_2 =
          {.values = (void *)0};
        __e_acsl_assert_register_int(& __gen_e_acsl_assert_data_2,"i",0,i);
        __e_acsl_assert_register_int(& __gen_e_acsl_assert_data_2,"x",0,x);
        __gen_e_acsl_assert_data_2.blocking = 1;
        __gen_e_acsl_assert_data_2.kind = "Invariant";
        __gen_e_acsl_assert_data_2.pred_txt = "i <= x";
        __gen_e_acsl_assert_data_2.file = "tests/constructs/invariant.i";
        __gen_e_acsl_assert_data_2.fct = "main";
        __gen_e_acsl_assert_data_2.line = 11;
        __e_acsl_assert(i <= x,& __gen_e_acsl_assert_data_2);
        __e_acsl_assert_clean(& __gen_e_acsl_assert_data_2);
      }
      /*@ invariant i <= x; */ ;
      i ++;
    }
  }
  __retres = 0;
  __e_acsl_memory_clean();
  return __retres;
}


